Subject: Re: bug#20943: 25.0.50; Dired buffers are not always auto-reverted

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Jul 2015 11:03:14 +0300

> From: Mark Karpov <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 10 Jul 2015 13:46:43 +0600
> 
> 
> You're saying:
> 
> > Why is such a different logic a good idea?  If the user requests
> > auto-reverts in a remote directory, she should get what she asked for,
> > IMO.  It would be confusing to have different results depending on
> > whether the directory is local or not.
> 
> >From this I understand that you are in favor of “dynamic”
> auto-revert-mode for remote directories. This makes sense, if user
> chooses to auto-revert Dired buffers, ‘she should get what she asked
> for’ — that's right.
> 
> > But the price is the need to re-read remote directories, and we want
> > to avoid that price, if possible.
> 
> But this is not possible. This contradicts with the previous
> quotation.

Only because you take my quotation out of its context.  What we want
to avoid is the price of re-reading the directory when the user copies
or deletes or renames a file via Dired commands, _as-an_immediate_result_
of these commands.  We cannot possibly avoid re-reading it when the
time comes to check if the buffer is stale and needs to be reverted.

IOW, the directory _will_ be re-read, but only when the notification
about some changes comes in or the 5-sec timer for checking whether
the directory is stale expires.  it will _not_ be re-read as result of
your copying or deleting a file.